# Retrieve a refund


Endpoint: GET /refunds/{id}
Version: 1.0.0
Security: JWT

## Path parameters:

  - `id` (string, required)
    The unique identifier for the payout.

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier for the refund.
    Example: refund_6776d57dnbTWj

  - `customer_id` (string)
    The unique identifier of customer linked to refund.
    Example: cust_E602dMzgjpDC

  - `payment_id` (string)
    The unique identifier of payment linked to refund.
    Example: payt_E602dMzgjpDC

  - `reason` (string)
    The reason for the refund.
    Example: Requested by Customer

  - `fees` (object)
    The fees charged for the refund.

  - `fees.fx_fees` (object)

  - `fees.fx_fees.amount` (number)
    A positive integer representing the smallest currency unit.  For example, if the amount is $299.00, then pass 29900 in this field.  In the case of three decimal currencies, such as KWD, BHD and OMR, to represent an amount of 295.991, pass the value as 295990.  And in the case of zero decimal currencies such as JPY, for amount ￥295, pass the value as 295.
    Example: 1000

  - `fees.fx_fees.currency` (string)
    The currency code in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format. For example, USD.
    Example: USD

  - `balance_used` (object)
    The balance deducted to process the refund.

  - `balance_used.currency` (string)
    The currency code in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format.
    Example: USD

  - `balance_used.amount` (integer)
    The amount deducted in cents.
    Example: 1000

  - `documents` (array)

  - `documents.id` (string)
    The unique identifier for the Document.
    Example: doc_nYUqLpuYQ0M8

  - `documents.type` (string)
    The type of the document.
    Example: rfi

  - `documents.status` (string)
    The status of the document.
    Enum: "pending", "uploaded", "approved", "rejected"

  - `documents.rfi_doc_id` (string)
    The identifier that needs to be sent when responding to rfi.
    Example: rfidoc_nYUqLpuYQ0M8

  - `status` (string)
    The status of the refund.
    Enum: "success", "failed", "action_required", "pending", "under_review"

  - `currency` (string)
    The currency code in [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format. For example, USD.
    Example: USD

  - `amount` (number)
    The amount you want to receive in cents. For example, 1000 cents is $10.00.  The currency is determined by the `currency` field. `Cents` is a general  term for the smallest unit of currency in any currency. It does not  necessarily mean USD cents.
    Example: 1000

  - `utr` (string)
    The Unique Transaction Reference (UTR) number associated with the refund.
    Example: UTR123456789

  - `partial_refund` (boolean)
    Indicates whether the refund is a partial refund.
    Example: false

  - `created_at` (string)
    Timestamp representing when the refund was created
    Example: 2021-06-01T12:00:00Z

  - `updated_at` (string)
    Timestamp representing when the refund was last updated
    Example: 2021-06-01T12:00:00Z

  - `request_id` (string)
    Optional idempotency key.
    Example: false

## Response 404 fields (application/json):

  - `error` (string)
    Enum: "Not found"

  - `message` (string)
    Entity not found
    Enum: "Entity not found"

